#!/bin/sh
#!/bin/sh
#post-install script.
#Puppy Linux
#assume current directory is rootfs-complete, which has the final filesystem.
#this script is similar to the post-install scripts of the window managers.
#Keywords are located in the Help page and the lines uncommented.
#DISTRO_VERSION, DISTRO_NAME are global variables visible here.
#110422 DISTRO_VERSION variable now has dotted format. note, also now using full dotted version# in puppy filenames.
#120225 create symlink release-notes.htm to actual release-notes file. NO.
#120225 backup doc files, refer /usr/sbin/indexgen.sh.
#120818 now have /etc/xdg in Woof, taken out of xdg_puppy PET, relocated pinstall.sh to here.
#132211 removed icewm template from default, who uses that anyway?

WKGDIR="`pwd`"

echo "Configuring Puppy skeleton..."

#cleanup...
rm -f /tmp/fbvideomode.txt

echo "Configuring Puppy Help page..."

#refer /usr/sbin/indexgen.sh...
cp -f usr/share/doc/index.html.top usr/share/doc/index.html.top-raw #120225
cp -f usr/share/doc/index.html.bottom usr/share/doc/index.html.bottom-raw #120225
cp -f usr/share/doc/home.htm usr/share/doc/home-raw.htm #120225

cutDISTRONAME="`echo -n "$DISTRO_NAME" | cut -f 1 -d ' '`"
cPATTERN="s/cutDISTRONAME/${cutDISTRONAME}/g"
RIGHTVER="$DISTRO_VERSION"
PUPPYDATE="`date | tr -s " " | cut -f 2,6 -d " "`"
dPATTERN="s/PUPPYDATE/${PUPPYDATE}/g"

echo "Writing version number and distro name and date to Help page..."
PATTERN1="s/RIGHTVER/${RIGHTVER}/g"
PATTERN2="s/DISTRO_VERSION/${DISTRO_VERSION}/g"
nPATTERN="s/DISTRO_NAME/${DISTRO_NAME}/g"
sed -i -e "$PATTERN1" -e "$PATTERN2" -e "$nPATTERN" -e "$dPATTERN" -e "$cPATTERN" usr/share/doc/index.html.top
sed -i -e "$PATTERN1" -e "$PATTERN2" -e "$nPATTERN" -e "$dPATTERN" usr/share/doc/index.html.bottom
#...note, /usr/sbin/indexgen.sh puts these together as index.html (via rc.update and 3builddistro).

echo "Writing distro name to jumping-off page..."
sed -i -e "$nPATTERN" usr/share/doc/home.htm

echo "Creating base release notes..."
if [ ! -e usr/share/doc/release-${cutDISTRONAME}-${DISTRO_VERSION}.htm ];then
 mv -f usr/share/doc/release-skeleton.htm usr/share/doc/release-${cutDISTRONAME}-${DISTRO_VERSION}.htm
 sed -i -e "$PATTERN1" -e "$PATTERN2" -e "$nPATTERN" -e "$dPATTERN" usr/share/doc/release-${cutDISTRONAME}-${DISTRO_VERSION}.htm
#else
# rm -f usr/share/doc/release-skeleton.htm
fi
if [ ! -e usr/share/doc/release-${cutDISTRONAME}-${RIGHTVER}.htm ];then
 ln -s release-${cutDISTRONAME}-${DISTRO_VERSION}.htm usr/share/doc/release-${cutDISTRONAME}-${RIGHTVER}.htm
fi

#ln -snf release-${cutDISTRONAME}-${DISTRO_VERSION}.htm usr/share/doc/release-notes.htm #120225

#echo "The default kernel for Puppy is vmlinuz."
echo -n "vmlinuz" > /tmp/vmlinuzforpup.txt
#note, createpuppy will read this.

#120818 now have /etc/xdg in Woof, taken out of xdg_puppy PET, relocated pinstall.sh to here...
#this code is to fix the icewm menu...
if [ -f ./etc/xdg/templates/_root_.icewm_menu ];then
 if [ "`find ./usr/local/bin ./usr/bin ./usr/sbin ./usr/X11R7/bin -maxdepth 1 -type f -name evilwm`" = "" ];then
  grep -v ' evilwm$' ./etc/xdg/templates/_root_.icewm_menu > /tmp/_root_.icewm_menu
  mv -f /tmp/_root_.icewm_menu ./etc/xdg/templates/
 fi
 if [ "`find ./usr/local/bin ./usr/bin ./usr/sbin ./usr/X11R7/bin -maxdepth 1 -type f -name fluxbox`" = "" ];then
  grep -v ' fluxbox$' ./etc/xdg/templates/_root_.icewm_menu > /tmp/_root_.icewm_menu
  mv -f /tmp/_root_.icewm_menu ./etc/xdg/templates/
 fi
 if [ "`find ./usr/local/bin ./usr/bin ./usr/sbin ./usr/X11R7/bin -maxdepth 1 -type f -name fvwm95`" = "" ];then
  grep -v ' fvwm95$' ./etc/xdg/templates/_root_.icewm_menu > /tmp/_root_.icewm_menu
  mv -f /tmp/_root_.icewm_menu ./etc/xdg/templates/
 fi
 if [ "`find ./usr/local/bin ./usr/bin ./usr/sbin ./usr/X11R7/bin -maxdepth 1 -type f -name jwm`" = "" ];then
  grep -v ' jwm$' ./etc/xdg/templates/_root_.icewm_menu > /tmp/_root_.icewm_menu
  mv -f /tmp/_root_.icewm_menu ./etc/xdg/templates/
 fi
 if [ "`find ./usr/local/bin ./usr/bin ./usr/sbin ./usr/X11R7/bin -maxdepth 1 -type f -name pwm`" = "" ];then
  grep -v ' pwm$' ./etc/xdg/templates/_root_.icewm_menu > /tmp/_root_.icewm_menu
  mv -f /tmp/_root_.icewm_menu ./etc/xdg/templates/
 fi
 if [ "`find ./usr/local/bin ./usr/bin ./usr/sbin ./usr/X11R7/bin -maxdepth 1 -type f -name xfce4-session`" = "" ];then
  grep -v ' xfce4-session$' ./etc/xdg/templates/_root_.icewm_menu > /tmp/_root_.icewm_menu
  mv -f /tmp/_root_.icewm_menu ./etc/xdg/templates/
 fi
fi

#end#
#post-install script.

if [ "`pwd`" != "/" ];then

  echo '#!/bin/sh' > ./usr/local/bin/defaultwordprocessor
  echo 'exec abiword "$@"' >> ./usr/local/bin/defaultwordprocessor
  chmod 755 ./usr/local/bin/defaultwordprocessor

fi

#note to developers: the runtime HUG library is /usr/lib/hug.so
#make sure that the DEV package, file hug_imports.bac specifies: CONST HUG_lib$ = "/usr/lib/hug.so"

#the gtksourceview template in Woof has (or should have) latest bacon.lang,
#however bacon is getting upgraded often. To ensure latest bacon.lang is in
#appropriate place, do this:

if [ -d usr/share/gtksourceview-2.0/language-specs ];then
 cp -f -a usr/share/BaCon/bacon.lang usr/share/gtksourceview-2.0/language-specs/
 #110707 this is needed by bacongui... 130120 don't think need anymore... 130204 yes do...
 mkdir -p root/.local/share/gtksourceview-2.0/language-specs
 ln -s /usr/share/gtksourceview-2.0/language-specs/bacon.lang root/.local/share/gtksourceview-2.0/language-specs/bacon.lang
fi

#do same for vim...
if [ -d root/.vim ];then
 mkdir -p root/.vim/syntax
 cp -f -a usr/share/BaCon/bacon.vim root/.vim/syntax/
 if [ ! -e root/.vim/ftdetect/bacon.vim ];then
  mkdir -p root/.vim/ftdetect
  echo 'au BufRead,BufNewFile *.bac     set filetype=bacon' > root/.vim/ftdetect/bacon.vim
 fi
fi
#BK may 2011

if [ "`pwd`" = "/" ];then #installing in a running puppy (not in woof)
 yaf-splash -bg pink -close box -placement center -text "You have installed Dbus, but it will not work until after Puppy is rebooted. Please do so before trying to run any application that depends on Dbus." &
fi
#post-install script.

#unleashed: current directory is rootfs-complete, which has the final filesystem.
#petget: current directory is /.

#RUNNINGPS="`ps`"
#if [ "`echo "$RUNNINGPS" | grep "petget"`" = "" ];then
if [ ! "`pwd`" = "/" ];then

# [ ! -f ./usr/local/bin/leafpad ] && ln -s geanyshell ./usr/local/bin/leafpad
# [ ! -f ./usr/local/bin/beaver ] && ln -s geanyshell ./usr/local/bin/beaver


 echo '#!/bin/sh' > ./usr/local/bin/defaulttexteditor
 echo 'exec geany "$@"' >> ./usr/local/bin/defaulttexteditor

fi

echo "Post-install script for glib..."

#also need this for slackware 13.1...
rm -f ./etc/profile.d/*.csh* 2>/dev/null
rm -f ./etc/profile.d/.wh.* 2>/dev/null
	
echo "Setting Gnumeric as the default spreadsheet editor"

echo "#!/bin/sh
exec gnumeric \"\$@\"" > ./usr/local/bin/defaultspreadsheet

chmod 755 ./usr/local/bin/defaultspreadsheet
#post-install script

echo "post-install for gxmessage, creating symlink to replace xmessage"

ln -snf gxmessage usr/bin/xmessage

#...note, some puppies will have the xmessage executable at /usr/X11R7/bin,
# but that's ok, as the new symlink at /usr/bin will be found first and used.
#post-install script.

#creatuppy: current directory is rootfs-complete, which has the final filesystem.
#pupget: current directory is /.

#if [ ! -e ./usr/local/bin/sodipodi ];then
# ln -s inkscape ./usr/local/bin/sodipodi
#fi

echo '#!/bin/sh' > ./usr/local/bin/defaultdraw
echo 'exec inkscapelite "$@"' >> ./usr/local/bin/defaultdraw
#post-install script.
#Puppy Linux
#Woof: if current directory is rootfs-complete, it has the final filesystem.

if [ "`pwd`" != "/" ];then

 if [ ! -f ./usr/X11R7/bin/fvwm95 ];then
  if [ ! -f ./usr/bin/fbpanel ];then
   if [ ! -f ./usr/bin/lxpanel ];then
    echo -n "jwm" > ./etc/windowmanager
   fi
  fi
 fi

fi

#end#

#get rid of this as in xorg 7.5 it no longer works properly...
#(use lspci instead)
if [ -f ./usr/share/pci.ids -o -f ./usr/share/pci.ids.gz ];then
 rm -f ./usr/bin/scanpci
fi

if [ -e ./usr/bin/alsamixer ];then
 if [ ! -e ./usr/bin/alsamixer.bin ];then
  mv -f ./usr/bin/alsamixer ./usr/bin/alsamixer.bin
  mv ./usr/bin/alsamixer.script ./usr/bin/alsamixer
 fi
fi
#post-install script.

#creatuppy: current directory is rootfs-complete, which has the final filesystem.
#pupget: current directory is /.
#if [ ! -e ./usr/local/bin/xpaint ];then
# ln -s mtpaint ./usr/local/bin/xpaint
#fi
#if [ ! -e ./usr/local/bin/gimp ];then
# ln -sf mtpaint ./usr/local/bin/gimp
#fi
#For internationalization, run from this level:
# xgettext -L shell -p usr/share/doc/nls/network_tray -o modemiconset.pot --package-name=network_tray --package-version=2.6 usr/sbin/modemiconset

if [ "$(pwd)" = "/" ];then
 killall -9 network_tray
 root/Startup/network_tray &
fi

#Remove old network icon set...
rm usr/local/lib/X11/mini-icons/networkblank-*.xpm
rm usr/local/lib/X11/mini-icons/networkboth-*.xpm
rm usr/local/lib/X11/mini-icons/networkdead-*.xpm
rm usr/local/lib/X11/mini-icons/networkin-*.xpm
rm usr/local/lib/X11/mini-icons/networkout-*.xpm
#rm usr/local/lib/X11/mini-icons/network*.xpm #removes original icons
#woof: current directory is rootfs-complete, which has the final filesystem.

if [ "`pwd`" != "/" ];then

 echo "Configuring Osmo..."

 echo '#!/bin/sh' > ./usr/local/bin/defaultcalendar
 echo 'exec osmo $@' >> ./usr/local/bin/defaultcalendar

fi
#post-install script.

if [ "`pwd`" != "/" ];then

  echo '#!/bin/sh' > ./usr/local/bin/defaultcdplayer
  echo 'exec pcd' >> ./usr/local/bin/defaultcdplayer
  chmod 755 ./usr/local/bin/defaultcdplayer

fi
#BK Note!!!
#In the pinstall.sh script you must not use absolute paths.
#The woof build script has "cd /usr/lib" -- building in Woof, that changes the directory to my host system, then as all the pinstall.sh scripts are concatenated to one big pinstall.sh, all following operations will take affect on the host system. Potential disaster.

#set default audioplayer for WOOF install only
if [ "`pwd`" != "/" ]; then
   echo '#!/bin/sh' > ./usr/local/bin/defaultaudioplayer
   echo 'exec pmusic "$@"' >> ./usr/local/bin/defaultaudioplayer
   chmod 755 ./usr/local/bin/defaultaudioplayer
fi 

if [ ! -e ./usr/bin/wallpaper ];then #nathans wallpaper setter.
 #jwmconf only calls 'wallpaper'...
 ln -s pwallpaper ./usr/sbin/wallpaper
fi

echo '#!/bin/sh' > usr/local/bin/defaultchmviewer
echo 'exec pzchmview "$@"' >> usr/local/bin/defaultchmviewer
chmod 755 usr/local/bin/defaultchmviewer

[ ! -e usr/bin/chm2html ] && ln -s extract_chmLib usr/bin/chm2html

if [ "`pwd`" != "/" ];then

  echo '#!/bin/sh' > ./usr/local/bin/defaultaudiomixer
  echo 'exec retrovol' >> ./usr/local/bin/defaultaudiomixer
  chmod 755 ./usr/local/bin/defaultaudiomixer

fi
#post-install script for rox.
#Woof: current directory is rootfs-complete, which has the final filesystem.

echo "Configuring ROX Filer..."

#130725 some opera stuff removed.

#120521 better way to create OpenWith entries (will have icons in menu)...
#120601 filter out mtPaint-snapshot-screen-capture.desktop ...
for ONEOPEN in Abiword Bcrypt ePDFView FFConvert Firefox Geany gedit Ghasher Ghostview Gnumeric Gxine HomeBank InkLite Inkscape ISOMaster Leafpad mhWaveEdit mtPaint-image Notecase Opera Planner Pmusic PupZip SeaMonkey-Composer SeaMonkey-web-browser Viewnior XArchive
do
 FNDOPEN="`find usr/share/applications -mindepth 1 -maxdepth 1 -type f -iname "${ONEOPEN}*.desktop" | head -n 1`"
 [ "$FNDOPEN" ] && ln -snf /${FNDOPEN} root/.config/rox.sourceforge.net/OpenWith/${ONEOPEN}
done


[ ! -e ./usr/bin/xterm ] && ln -s urxvt ./usr/bin/xterm
[ ! -e ./usr/bin/rxvt ] && ln -s urxvt ./usr/bin/rxvt

if [ -f ./root/Choices/ROX-Filer/PuppyPin ];then
 sed -e 's%/rxvt%/urxvt%' ./root/Choices/ROX-Filer/PuppyPin >/tmp/puppypin.urxvt
 mv -f /tmp/puppypin.urxvt ./root/Choices/ROX-Filer/PuppyPin
fi
#130804 BK

[ ! -f root/.Xdefaults.back ] && cp -a -f root/.Xdefaults root/.Xdefaults.back #130804 BK
#120824 rerwin: 
# This package contains the original usb-modeswitch package created by "new2dir make install" (except for files stored into the source directory by the "install" operation) and edit commands to tailor it for puppy linux, during pet-package installation.

# Ensure that the original components are modified per the following by BK:
# 1. Modifies /etc/usb_modeswitch.conf: turn on logging, needed by /usr/sbin/usb_modeswitch_status.
grep -q 'EnableLogging=1' etc/usb_modeswitch.conf \
 || sed -i \
     -e 's/EnableLogging=./EnableLogging=1/' \
     etc/usb_modeswitch.conf
# 2. Modifies /lib/udev/usb_modeswitch: insert line to call /usr/sbin/usb_modeswitch_status.
grep -q 'usb_modeswitch_status' lib/udev/usb_modeswitch \
 || sed -i \
     -e 's/device_in()/# 120816 BK patched.\n&/' \
     -e 's%exec usb_modeswitch_dispatcher --switch-mode%[ "`/bin/pidof usb_modeswitch_status`" = "" ] \&\& /usr/sbin/usb_modeswitch_status \& #110302 BK 110806 RE\n\t\t&%' \
     lib/udev/usb_modeswitch

# Convert the original usb_modeswitch.1 man page to usb_modeswitch.htm in /usr/share/doc, using man2html, then remove the man page and its directories added by the original install.
man2html usr/share/man/man1/usb_modeswitch.1 > usr/share/doc/usb_modeswitch.htm
rm -f usr/share/man/man1/usb_modeswitch.1
rmdir usr/share/man/man1 2> /dev/null
rmdir usr/share/man 2> /dev/null

#120824 BK: create these dirs...
mkdir -p var/lib/usb_modeswitch
mkdir -p var/log

# Remove config file for renamed/removed files.
rm -f usr/share/usb_modeswitch/0471:1210 # Vodafone MD950 (Wisue Technology)
rm -f usr/share/usb_modeswitch/04e8:f000 # Samsung U209 120813
rm -f usr/share/usb_modeswitch/19d2:0083 # ZTE MF110 (Variant) 120813

# If config file reappears in a subsequent usb-modeswitch-data update, the relevant command above should be deleted.
#120516 note, xarchive has been internationalised by rodin.s
# -- xarchive.pot is in Woof, in rootfs-skeleton/usr/share/doc/nls.
# -- MoManager is used to create translations.

echo "Xarchive post-install script"

if [ ! -f ./usr/local/bin/TkZip ];then
 ln -s pupzip ./usr/local/bin/TkZip
fi

if [ ! -f ./usr/local/bin/guitar ];then
 ln -s pupzip ./usr/local/bin/guitar
fi

echo "xorg_base post-install script..."

fndLIBGL="`find ./usr/lib ./usr/X11/lib -maxdepth 1 -name libGL*`"

if [ "$fndLIBGL" ];then
 sed -i -e 's%.*#LOADGLX%#    Disable    "glx" #LOADGLX%' etc/X11/xorg.conf0
fi

echo "Setting Leafpad as the default text viewer"

echo "#!/bin/sh
exec leafpad \"\$@\"" > ./usr/local/bin/defaulttextviewer
chmod 755 ./usr/local/bin/defaulttextviewer
#! /bin/sh

###############################################################################
# PackIt v1.4 by SFR'2013                                                     #
# GNU GPL v2 applies                                                          #
###############################################################################

# -----------------------------------------------------------------------------
# Associate ROX 'OpenWith' with PackIt
# -----------------------------------------------------------------------------

PackIt_PATH="/usr/local/apps/PackIt"

if [ "`pwd`" = "/" ]; then
  OpenWith_PATH="$HOME/.config/rox.sourceforge.net/OpenWith"
  Globs_PATH="/usr/share/mime/globs"
  Types_PATH="/usr/share/mime/types"
else	# Woof
  OpenWith_PATH="./root/.config/rox.sourceforge.net/OpenWith"
  Globs_PATH="./usr/share/mime/globs"
  Types_PATH="./usr/share/mime/types"
fi

if [ -d "$OpenWith_PATH" ]; then

  # Creates missing folders using contents of 'globs' file
  for i in `grep ":" "$Globs_PATH" | cut -f1 -d ':' | tr '/' '_' | uniq`; do
    [ ! -d "${OpenWith_PATH}/.${i}" ] && mkdir "${OpenWith_PATH}/.${i}"
  done
  
  # Creates missing folders using contents of 'types' file
  for i in `cat "$Types_PATH" | tr '/' '_' | uniq`; do
    [ ! -d "${OpenWith_PATH}/.${i}" ] && mkdir "${OpenWith_PATH}/.${i}" 
  done
  
  [ ! -d "${OpenWith_PATH}/.inode_unknown" ] && mkdir "${OpenWith_PATH}/.inode_unknown"
  
  # Creates symlink to PackIt in every folder
  for i in `find "${OpenWith_PATH}" -iname ".*" -maxdepth 1 -type d`; do
    [ ! -L "${i}/PackIt" ] && ln -s "$PackIt_PATH" "${i}/PackIt"
  done
  [ ! -L "${OpenWith_PATH}/PackIt" ] && ln -s "$PackIt_PATH" "${OpenWith_PATH}/PackIt"
  
fi

[ "`pwd`" = "/" ] && /usr/local/apps/PackIt/bin/.createshortcut &
[ -e usr/lib/libjpeg.so.7 ] || ln -s libjpeg.so.62.0.0 usr/lib/libjpeg.so.7

[ -e /usr/lib/libtiff.so.4 ] || ln -s libtiff.so.3 /usr/lib/libtiff.so.4
[ -f /usr/bin/ppm2tiff ] || cp /tmp/ppm2tiff /usr/bin
[ -f /usr/bin/tiff2pdf ] || cp /tmp/tiff2pdf /usr/bin
chmod 1777 /tmp

if [ ! "`pwd`" = "/" ]; then ## Woof build

	[ "`cat ./root/.icewm/preferences | grep PupClockset`" = "" ] && cat ./root/.icewm/preferences | sed 's/^.*ClockCommand=.*$/ClockCommand="PupClockset"/' > tmpfile ; mv -f tmpfile ./root/.icewm/preferences
	[ "`cat ./root/.jwmrc-tray | grep PupClockset`" = "" ] && cat ./root/.jwmrc-tray | sed 's/^.*Clock.*$/			<Clock format="%l:%M %p">PupClockset<\/Clock>/' > tmpfile ; mv -f tmpfile ./root/.jwmrc-tray
	[ "`cat ./root/.config/fbpanel/default | grep dclock`" != "" ] && sed 's/dclock/tclock/' ./root/.config/fbpanel/default > /tmp/tmpfile ; mv -f /tmp/tmpfile ./root/.config/fbpanel/default
	[ "`cat ./usr/sbin/pfbpanel | grep dclock`" != "" ] && sed 's/dclock/tclock/' /usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile ./usr/sbin/pfbpanel
	[ "`cat ./usr/sbin/pfbpanel | grep PupClockset`" = "" ] && sed '/if/s/^.*grep CLOCK12.*$/ if [ -f \/usr\/local\/PupClockset\/PupClockset ]; then\n  echo "`cat \/usr\/local\/PupClockset\/fbpanelClockFmt`" >> $DEFAULT\n  elif [ "`cat $CONFIG | grep CLOCK12 | cut -f 2 -d '='`" = true ]; then/' ./usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile ./usr/sbin/pfbpanel
	[ "`cat ./usr/sbin/pfbpanel | grep "Action = PupClockset"`" = "" ] && sed '/Action =/s/^.*grep CLOCKPROG.*$/ if [ -f \/usr\/local\/PupClockset\/PupClockset ]; then\n  echo "Action = PupClockset \&" >> $DEFAULT\n  else\n  echo Action = `cat $CONFIG | grep CLOCKPROG | cut -f 2 -d '='` \& >> $DEFAULT\n  fi/' ./usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile ./usr/sbin/pfbpanel

else ##Conventional PET install

	if [ "`cat $HOME/.icewm/preferences`" ]; then
	[ ! -f $HOME/.icewm/preferences-bak ] && cp $HOME/.icewm/preferences $HOME/.icewm/preferences-bak
	fi

	if [ "`cat $HOME/.jwmrc-tray`" ]; then
	[ ! -f $HOME/.jwmrc-tray-bak ] && cp $HOME/.jwmrc-tray $HOME/.jwmrc-tray-bak
	fi

	if [ "`cat $HOME/.config/fbpanel/default`" ]; then
	[ ! -f $HOME/.config/fbpanel/default-bak ] && cp $HOME/.config/fbpanel/default $HOME/.config/fbpanel/default-bak
	fi

	if [ "`cat /usr/sbin/pfbpanel`" ]; then
	[ ! -f /usr/sbin/pfbpanel-bak ] && cp /usr/sbin/pfbpanel /usr/sbin/pfbpanel-bak
	fi

	[ "`cat $HOME/.icewm/preferences | grep PupClockset`" = "" ] && cat $HOME/.icewm/preferences | sed 's/^.*ClockCommand=.*$/ClockCommand="PupClockset"/' > tmpfile && mv -f tmpfile $HOME/.icewm/preferences
	[ "`pidof icewm`" ] && killall -HUP icewm

	[ "`cat $HOME/.jwmrc-tray | grep PupClockset`" = "" ] && cat $HOME/.jwmrc-tray | sed 's/^.*Clock.*$/			<Clock format="%l:%M %p">PupClockset<\/Clock>/' > tmpfile && mv -f tmpfile $HOME/.jwmrc-tray
	[ "`pidof jwm`" ] && jwm -restart

	[ "`cat $HOME/.config/fbpanel/default | grep dclock`" != "" ] && sed 's/dclock/tclock/' $HOME/.config/fbpanel/default > /tmp/tmpfile ; mv -f /tmp/tmpfile $HOME/.config/fbpanel/default
	[ "`cat /usr/sbin/pfbpanel | grep dclock`" != "" ] && sed 's/dclock/tclock/' /usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile /usr/sbin/pfbpanel
	[ "`cat /usr/sbin/pfbpanel | grep PupClockset`" = "" ] && sed '/if/s/^.*grep CLOCK12.*$/ if [ -f \/usr\/local\/PupClockset\/PupClockset ]; then\n  echo "`cat \/usr\/local\/PupClockset\/fbpanelClockFmt`" >> $DEFAULT\n  elif [ "`cat $CONFIG | grep CLOCK12 | cut -f 2 -d '='`" = true ]; then/' /usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile /usr/sbin/pfbpanel
	[ "`cat /usr/sbin/pfbpanel | grep "Action = PupClockset"`" = "" ] && sed '/Action =/s/^.*grep CLOCKPROG.*$/ if [ -f \/usr\/local\/PupClockset\/PupClockset ]; then\n  echo "Action = PupClockset \&" >> $DEFAULT\n  else\n  echo Action = `cat $CONFIG | grep CLOCKPROG | cut -f 2 -d '='` \& >> $DEFAULT\n  fi/' /usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile /usr/sbin/pfbpanel
	[ "`pidof fbpanel`" ] && /usr/sbin/pfbpanel refresh

	# pinstall message
	Xdialog --title Alert --beep --msgbox " All PupClockset files are installed. " 0 0 && exit 0

fi
#END

if [ ! "`pwd`" = "/" ]; then ## Woof build
	echo "Installing PupControl"
	mkdir -p ./usr/local/PupControl/defaultapps/
	mv -f ./tmp/PCONTROL-install/defaultapps/* ./usr/local/PupControl/defaultapps/
	mv -f ./tmp/PCONTROL-install/*.rc ./usr/local/PupControl/
	rm -rf ./tmp/PCONTROL-install/

	[ -f ./usr/sbin/wizardwizard ] && [ ! -f ./usr/sbin/wizardwizard.orig ] && cp -f ./usr/sbin/wizardwizard ./usr/sbin/wizardwizard.orig
	echo -e '#!/bin/bash\nexec PupControl' > ./usr/sbin/wizardwizard && chmod 755 ./usr/sbin/wizardwizard

else ##Conventional PET install

#---adjustment for Iguleder derivatives
	if [ ! -f "$HOME/.Xresources" -o -f "/usr/local/PupApps/xresourcesmarker" ]; then
	 echo "Marker for Iguleder derivatives - do not delete." > /usr/local/PupControl/xresourcesmarker
	fi

#---Provide option to link PupControl to wizardwizard (exclude non-standard wizardwizard)
	if [ "`grep -i 'wizard' /usr/sbin/wizardwizard`" ]; then
	  Xdialog --title "PupControl" --cancel-label "No" --ok-label "Yes"  --yesno " Link desktop setup (wizardwizard) to PupControl? " 0 0
	  if [[ $? == 0 ]]; then
	   [ ! -f /usr/sbin/wizardwizard.orig ] && cp -f /usr/sbin/wizardwizard /usr/sbin/wizardwizard.orig
	   echo -e '#!/bin/bash\nexec PupControl' > /usr/sbin/wizardwizard && chmod 755 /usr/sbin/wizardwizard
	  fi
	fi
#---If PupControl is already installed, do not overwrite current configuration files
	if [ -f /usr/local/PupControl/pupcontrol.rc ]; then
	 rm -rf /tmp/PCONTROL-install/
	 Xdialog --title PupControl --beep --msgbox " All files are installed... \n\n Prior PupControl configuration settings are unchanged. " 0 0 && exit 0
	else
	 mkdir -p /usr/local/PupControl/defaultapps/
	 mv -f /tmp/PCONTROL-install/defaultapps/* /usr/local/PupControl/defaultapps/
	 mv -f /tmp/PCONTROL-install/*.rc /usr/local/PupControl/
	 rm -rf /tmp/PCONTROL-install/
	 Xdialog --title PupControl --beep --msgbox " All files are installed... \n\n The PupControl 'Ctrl+Shift+C' hotkey is available for \n IceWM, JWM, Fluxbox, Openbox and LXDE-LXPanel.  \n\n Go to PupControl Preferences to select the \n default applications and program hotkey. " 0 0 && exit 0
	fi
fi

#END

if [ ! "`pwd`" = "/" ]; then ##Woof build

	echo "Installing PupSnap"

else ##Conventional PET install

	 Xdialog --title PupSnap --beep --msgbox " All files are installed... \n\n The PupSnap 'Ctrl+Shift+S' hotkey is available for \n IceWM, JWM, Fluxbox, Openbox and LXDE-LXPanel.  \n\n Go to the PupSnap Help tab to enable the hotkey. " 0 0 && exit 0

fi

#END
#! /bin/sh

###############################################################################
# UExtract v2.6 by SFR'2013                                                   #
# GNU GPL v2 applies                                                          #
###############################################################################

# -----------------------------------------------------------------------------
# Associate ROX 'OpenWith' with UExtract
# -----------------------------------------------------------------------------

UExtract_PATH="/usr/local/apps/UExtract"

if [ "`pwd`" = "/" ]; then
  OpenWith_PATH="$HOME/.config/rox.sourceforge.net/OpenWith"
  DOTdesktop_PATH="/usr/share/applications/UExtract.desktop"
else	# Woof
  OpenWith_PATH="./root/.config/rox.sourceforge.net/OpenWith"
  DOTdesktop_PATH="./usr/share/applications/UExtract.desktop"
fi

if [ -d "$OpenWith_PATH" ]; then

  # BTW, Mime-Types are kept inside UExtract.desktop file
  if [ -d "$OpenWith_PATH" ]; then
    for i in $(grep '^MimeType=' "$DOTdesktop_PATH" | cut -f2- -d '=' | tr ';' '\n' | tr '/' '_' | head -n -1); do
      [ ! -d "${OpenWith_PATH}/.${i}" ] && mkdir "${OpenWith_PATH}/.${i}" 
      [ ! -L "${OpenWith_PATH}/.${i}/UExtract" ] && ln -s "$UExtract_PATH" "${OpenWith_PATH}/.${i}/UExtract"
    done
    [ ! -L "${OpenWith_PATH}/UExtract" ] && ln -s "$UExtract_PATH" "${OpenWith_PATH}/UExtract"
  fi

fi

[ "`pwd`" = "/" ] && /usr/local/apps/UExtract/bin/.createshortcut &
#  version 4.9 is corrected to run  on Wary 511 and beta of wary512 as well as Lucid Puppy
# version 5.2 is corrected to run  on Quirky  -August 2011
# version 5.4 is corrected to run  on Slacko and Racy  -Nov 2011
# version 5.5 Feb10 2012 adds bac0nrecorder 2.6 and new options
# Zathura requires two links to be made for Lucid Puppy 

#make icon for scripts
ln -s ./usr/local/lib/X11/mini-icons/mini-modules.xpm /usr/share/icons/hicolor/16x16/apps/mini-modules.xpm

rm -rf ./root/.baconrecorder/
rm -rf ./root/.config/screenshotbrowser
rm -rf ./root/.zathura/
rm -f /.bin/zathura
rm -rf ./root/.puppyclock/

# two links made for Large file finder
#ln -s "./usr/local/apps/Large Files Finder" $HOME/.config/rox.sourceforge.net/OpenWith/.inode_directory
#ln -s "./usr/local/apps/Large Files Finder" $HOME/.config/rox.sourceforge.net/OpenWith/.inode_mount-point


ln -s ./usr/lib/libpoppler-glib.so.4 /usr/lib/libpoppler-glib.so.5
if  [ -e ./usr/lib/libpoppler.so.5 ]  ;then
ln -s ./usr/lib/libpoppler.so.5 /usr/lib/libpoppler.so.7
else
ln -s ./usr/lib/libpoppler.so.4.0.0 /usr/lib/libpoppler.so.7
fi
if [[  ! -e ./usr/bin/ghostview ]]; then
rm -f   ./root/.config/rox.sourceforge.net/OpenWith/.application_postscript/"Show with Ghostview"
fi
if [[  ! -e ./usr/share/pixmaps/geany.png ]]; then
mv  ./usr/share/pixmaps/geany_copy.png ./usr/share/pixmaps/geany.png
fi
rm -f ./usr/share/pixmaps/geany_copy.png
rm -f  ./root/.config/rox.sourceforge.net/OpenWith/.application_x-cd-image/Burn_with_Pburn
rm -f  ./root/.config/rox.sourceforge.net/OpenWith/.inode_mount-point/"Search with Pfind"
rm -f  ./root/.config/rox.sourceforge.net/OpenWith/.inode_mount-point/"Search_with_Pfind"
rm -f  ./root/.config/rox.sourceforge.net/OpenWith/.inode_directory/"Search_with_Pfind"

#  new Wary has nicoedit as a link
if [[ -L ./usr/bin/nicoedit ]]; then
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.application_x-desktop/"Open with Nicoedit"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.application_x-executable/"Open with Nicoedit"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.application_xml/"Open with Nicoedit"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.application_x-shellscript/"Open with Nicoedit"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.text_css/"Open with Nicoedit"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.text_html/"Open with Nicoedit"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.text_plain/"Open with Nicoedit"
fi


if [[ ! -e ./usr/bin/nicoedit ]]; then
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.application_x-desktop/"Open with Nicoedit"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.application_x-executable/"Open with Nicoedit"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.application_xml/"Open with Nicoedit"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.application_x-shellscript/"Open with Nicoedit"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.text_css/"Open with Nicoedit"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.text_html/"Open with Nicoedit"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.text_plain/"Open with Nicoedit"
fi

if [[ ! -e ./usr/bin/leafpad ]]; then
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.application_x-desktop/"Open with leafpad"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.application_x-executable/"Open with leafpad"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.application_xml/"Open with leafpad"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.application_x-shellscript/"Open with leafpad"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.text_css/"Open with leafpad"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.text_html/"Open with leafpad"
rm -f ./root/.config/rox.sourceforge.net/OpenWith/.text_plain/"Open with leafpad"
fi


ln -fs ./usr/local/apps/mtpaint  -T /root/.config/rox.sourceforge.net/OpenWith/mtpaint
ln -fs ./usr/local/apps/abiword  -T /root/.config/rox.sourceforge.net/OpenWith/abiword
ln -fs ./usr/local/apps/pupzip  -T /root/.config/rox.sourceforge.net/OpenWith/pupzip
ln -fs ./usr/local/apps/inkscapelite  -T /root/.config/rox.sourceforge.net/OpenWith/inkscapelite
ln -fs ./usr/local/apps/Pmusic_add  -T /root/.config/rox.sourceforge.net/OpenWith/pmusic
ln -fs ./usr/local/apps/ffconvert  -T /root/.config/rox.sourceforge.net/OpenWith/ffconvert



ln -fs ./usr/local/apps/Trash  -T /root/.config/rox.sourceforge.net/SendTo/Trash
rm  ./root/.config/rox.sourceforge.net/OpenWith/.audio_ogg/"Add To Pmusic Playlist"
rm  ./root/.config/rox.sourceforge.net/OpenWith/.audio_ogg/mhwaveedit
rm ./root/.config/rox.sourceforge.net/OpenWith/.audio_x-vorbis+ogg/"Add To Pmusic Playlist"
rm ./root/.config/rox.sourceforge.net/OpenWith/.audio_x-vorbis+ogg/mhwaveedit
rm   ./root/.config/rox.sourceforge.net/OpenWith/.application_pet/gtkhash
rm  ./root/.config/rox.sourceforge.net/OpenWith/.application_x-rar/gtkhash
rm  ./root/.config/rox.sourceforge.net/OpenWith/.application_x-rpm/gtkhash
rm  ./root/.config/rox.sourceforge.net/OpenWith/.application_x-bzip-compressed-tar/gtkhash
rm  ./root/.config/rox.sourceforge.net/OpenWith/.application_x-cd-image/gtkhash
rm  ./root/.config/rox.sourceforge.net/OpenWith/.application_x-compressed-tar/gtkhash
rm  ./root/.config/rox.sourceforge.net/OpenWith/.application_x-deb/gtkhash
rm  ./root/.config/rox.sourceforge.net/OpenWith/.application_x-rpm/gtkhash
rm  ./root/.config/rox.sourceforge.net/OpenWith/.application_x-squashfs-image/gtkhash
rm  ./root/.config/rox.sourceforge.net/OpenWith/.application_x-xz-compressed-tar/gtkhash
rm  ./root/.config/rox.sourceforge.net/OpenWith/.application_x-xz/gtkhash
rm  ./root/.config/rox.sourceforge.net/SendTo/.application_x-compressed-tar/pupzip
rm  ./root/.config/rox.sourceforge.net/SendTo/.image_x-xpixmap/mtpaint
rm  ./root/.config/rox.sourceforge.net/SendTo/.image_svg+xml/mtpaint
rm  ./root/.config/rox.sourceforge.net/SendTo/.image_bmp/mtpaint
rm  ./root/.config/rox.sourceforge.net/SendTo/.image_png/mtpaint

rm ./root/.config/rox.sourceforge.net/OpenWith/.audio_x-flac/"Add To Pmusic Playlist"
rm ./root/.config/rox.sourceforge.net/SendTo/.audio_x-flac/"Add To Pmusic Playlist"
rm ./root/.config/rox.sourceforge.net/SendTo/.inode_directory/"Search with Pfind"
rm ./root/.config/rox.sourceforge.net/SendTo/.image_png/"Send-to Backgrounds"
rm ./root/.config/rox.sourceforge.net/SendTo/.image_gif/"Send-to Backgrounds"
rm ./root/.config/rox.sourceforge.net/SendTo/.audio_x-wav/"Add To Pmusic Playlist"
rm ./root/.config/rox.sourceforge.net/OpenWith/.inode_directory/"Search with Pfind"
rm ./root/.config/rox.sourceforge.net/OpenWith/.image_png/"Send-to Backgrounds"
rm ./root/.config/rox.sourceforge.net/OpenWith/.image_jpeg/"Send-to Backgrounds"
rm ./root/.config/rox.sourceforge.net/OpenWith/.image_gif/"Send-to Backgrounds"
rm ./root/.config/rox.sourceforge.net/OpenWith/.audio_x-wav/"Add To Pmusic Playlist"

rm ./root/.config/rox.sourceforge.net/OpenWith/.text_html/defaultbrowser
if [  -e ./usr/share/applications/SeaMonkey-Composer-html-editor.desktop ] ; then
rm ./root/.config/rox.sourceforge.net/OpenWith/defaulthtmleditor
ln -fs ./usr/local/apps/defaulthtmleditor  -T /root/.config/rox.sourceforge.net/OpenWith/.text_html/"Open with HTML Editor"
fi

if [[ ! -e ./usr/bin/gdmap ]]; then
rm ./root/.config/rox.sourceforge.net/OpenWith/.inode_directory/"Graphical Disk Map"
rm ./root/.config/rox.sourceforge.net/OpenWith/.inode_mount-point/"Graphical Disk Map"
fi
rm ./root/.config/rox.sourceforge.net/OpenWith/.video_quicktime/"Fullscreen Play"
rm ./root/.config/rox.sourceforge.net/OpenWith/.video_mp4/"Fullscreen Play"
rm ./root/.config/rox.sourceforge.net/OpenWith/.video_mpeg/"Fullscreen Play"
rm ./root/.config/rox.sourceforge.net/OpenWith/.video_x-flv/"Fullscreen Play"
rm ./root/.config/rox.sourceforge.net/OpenWith/.video_x-ms-asf/"Fullscreen Play"
rm ./root/.config/rox.sourceforge.net/OpenWith/.video_x-msvideo/"Fullscreen Play"
rm ./root/.config/rox.sourceforge.net/OpenWith/.video_x-ms-wmv/"Fullscreen Play"

rm -rf /mnt/*/woof-wheezy2/woof-out_x86_x86_debian_squeeze/sandbox3/rootfs-complete/root/.config/rox.sourceforge.net/OpenWith/.*/"Large Files Finder"
rm -rf /mnt/*/woof-wheezy2/woof-out_x86_x86_debian_squeeze/sandbox3/rootfs-complete/root/.config/rox.sourceforge.net/OpenWith/.*/"Calculate MD5sum"
#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_pet
#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_x-bzip-compressed-tar
#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_x-bzip
#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_x-cd-image
#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_x-compressed-tar
#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_x-deb
#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_x-delta
#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_x-gzip
#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_x-iso9660
#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_x-rar
#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_x-rpm
#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_x-squashfs-image
#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_x-tgz
#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_zip

#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_x-ext3-image
#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_x-xz
#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_x-executable
#ln -s  ./usr/local/apps/"Calculate MD5sum" $HOME/.config/rox.sourceforge.net/OpenWith/.application_x-ext4-image

rm -f ./etc/modprobe.d/i915-kms.conf
rm -f ./etc/modprobe.d/radeon-kms.conf
rm -f ./usr/lib/xorg/modules/drivers/modesetting_drv.so
rm -f ./usr/share/alsa/alsa.conf.d/*

#!/bin/sh

if [ "`pwd`" != "/" ];then
 if [ ! -f ./bin/bash ];then
  echo '#!/bin/ash
exec /bin/ash $@' > ./bin/bash
  ln -snf ../../bin/bash ./usr/bin/bash
 else
  #as busybox got installed second, it's 'sh' overwrote...
  ln -snf bash ./bin/sh
 fi
fi
echo "END OF pinstall.sh SCRIPT."
